%define cvsdate 2003.12.10

# prefix for naming the package (choose pd- or %{nil})
%define pkgprefix pd-

# version of pd for which it was built
%define pdver   0.37.0

Summary:       fluid~ - fluidsynth external for PD and Max/MSP
Name:          %{pkgprefix}fluid
Version:       0.%{cvsdate}
Release:       1%{?cvsdate:.cvs}
License:       GPL
Group:         Applications/Multimedia
Source0:       fluid-%{version}.tar.gz
Source1:       pd-externals-get-cvs
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
Packager:      Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution:  Planet CCRMA

Requires:      pd >= %{pdver}
BuildRequires: pd >= %{pdver}
BuildRequires: gcc-c++, libfluidsynth-devel, %{pkgprefix}flext

Obsoletes: fluid <= 0.2003.12.10
Conflicts: fluid <= 0.2003.12.10

%define pd_path %{_libdir}/pd
%define pd_include %{pd_path}/include

%description
fluid~ - fluidsynth external for PD and Max/MSP

%prep
%setup -q -n fluid

%build
%{__make} PD_DIR=%{pd_include} \
          FLEXTLIB=%{pd_path}/flext/libflext.a \
          FLEXTINC=%{pd_path}/flext \
          FLUIDLIB=" -lfluidsynth"

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{pd_path}/extra
%{__mkdir} -p %{buildroot}%{pd_path}/doc/5.reference/fluid
%{__make} DESTDIR=%{buildroot} install
# install .pd files
find . -name \*.pd -exec %{__install} -m 0664 {} %{buildroot}%{pd_path}/doc/5.reference \;
(cd %{buildroot}%{pd_path}/doc/5.reference/fluid; %{__ln_s} ../*.pd .)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc 
%{pd_path}/extra/*
%{pd_path}/doc/5.reference/*

%changelog
* Mon Feb  7 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- spec file cleanup
* Tue Jan  6 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- move to pd- naming
* Thu Dec  4 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- Initial build.

